package com.steerinfo.baseinfo.meterbasescalerange.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="秤体量程配置表")
public class MeterBaseScaleRange implements IBasePO<String> {
    /**
     * 量程编号(SCALE_RANGE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="量程编号",required=true)
    private String scaleRangeNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 秤点编号(SCALE_POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="秤点编号",required=false)
    private String scalePointNo;

    /**
     * 秤点名称(SCALE_POINT_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="秤点名称",required=false)
    private String scalePointName;

    /**
     * 砝码重量(COUNTER_WEIGHT,DECIMAL,12)
     */
    @ApiModelProperty(value="砝码重量",required=true)
    private BigDecimal counterWeight;

    /**
     * 砝码校秤允许差值(COUNTER_WEIGHT_DIFF,DECIMAL,8)
     */
    @ApiModelProperty(value="砝码校秤允许差值",required=true)
    private BigDecimal counterWeightDiff;

    /**
     * 最大量程(UPPER_RANGE,DECIMAL,12)
     */
    @ApiModelProperty(value="最大量程",required=true)
    private BigDecimal upperRange;

    /**
     * 仪表分度值(INDEX_VALUE,DECIMAL,12)
     */
    @ApiModelProperty(value="仪表分度值",required=true)
    private BigDecimal indexValue;

    /**
     * 判稳频率(STABLE_RATE,DECIMAL,12)
     */
    @ApiModelProperty(value="判稳频率",required=false)
    private BigDecimal stableRate;

    /**
     * 判稳差值(STABLE_DIFF,DECIMAL,8)
     */
    @ApiModelProperty(value="判稳差值",required=false)
    private BigDecimal stableDiff;

    /**
     * 仪表清零上限(UPPER_LIMIT_CLEAR_ZERO,DECIMAL,8)
     */
    @ApiModelProperty(value="仪表清零上限",required=true)
    private BigDecimal upperLimitClearZero;

    /**
     * 仪表清零下限(LOWER_LIMIT_CLEAR_ZERO,DECIMAL,8)
     */
    @ApiModelProperty(value="仪表清零下限",required=true)
    private BigDecimal lowerLimitClearZero;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 自检允许最大差值(SELF_WEIGHT_DIFF,DECIMAL,8)
     */
    @ApiModelProperty(value="自检允许最大差值",required=false)
    private BigDecimal selfWeightDiff;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.scaleRangeNo;
    }

    @Override
    public void setId(String scaleRangeNo) {
        this.scaleRangeNo = scaleRangeNo == null ? null : scaleRangeNo.trim();
    }

    public String getScaleRangeNo() {
        return scaleRangeNo;
    }

    public void setScaleRangeNo(String scaleRangeNo) {
        this.scaleRangeNo = scaleRangeNo == null ? null : scaleRangeNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getScalePointNo() {
        return scalePointNo;
    }

    public void setScalePointNo(String scalePointNo) {
        this.scalePointNo = scalePointNo == null ? null : scalePointNo.trim();
    }

    public String getScalePointName() {
        return scalePointName;
    }

    public void setScalePointName(String scalePointName) {
        this.scalePointName = scalePointName == null ? null : scalePointName.trim();
    }

    public BigDecimal getCounterWeight() {
        return counterWeight;
    }

    public void setCounterWeight(BigDecimal counterWeight) {
        this.counterWeight = counterWeight;
    }

    public BigDecimal getCounterWeightDiff() {
        return counterWeightDiff;
    }

    public void setCounterWeightDiff(BigDecimal counterWeightDiff) {
        this.counterWeightDiff = counterWeightDiff;
    }

    public BigDecimal getUpperRange() {
        return upperRange;
    }

    public void setUpperRange(BigDecimal upperRange) {
        this.upperRange = upperRange;
    }

    public BigDecimal getIndexValue() {
        return indexValue;
    }

    public void setIndexValue(BigDecimal indexValue) {
        this.indexValue = indexValue;
    }

    public BigDecimal getStableRate() {
        return stableRate;
    }

    public void setStableRate(BigDecimal stableRate) {
        this.stableRate = stableRate;
    }

    public BigDecimal getStableDiff() {
        return stableDiff;
    }

    public void setStableDiff(BigDecimal stableDiff) {
        this.stableDiff = stableDiff;
    }

    public BigDecimal getUpperLimitClearZero() {
        return upperLimitClearZero;
    }

    public void setUpperLimitClearZero(BigDecimal upperLimitClearZero) {
        this.upperLimitClearZero = upperLimitClearZero;
    }

    public BigDecimal getLowerLimitClearZero() {
        return lowerLimitClearZero;
    }

    public void setLowerLimitClearZero(BigDecimal lowerLimitClearZero) {
        this.lowerLimitClearZero = lowerLimitClearZero;
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public BigDecimal getSelfWeightDiff() {
        return selfWeightDiff;
    }

    public void setSelfWeightDiff(BigDecimal selfWeightDiff) {
        this.selfWeightDiff = selfWeightDiff;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", scaleRangeNo=").append(scaleRangeNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", scalePointNo=").append(scalePointNo);
        sb.append(", scalePointName=").append(scalePointName);
        sb.append(", counterWeight=").append(counterWeight);
        sb.append(", counterWeightDiff=").append(counterWeightDiff);
        sb.append(", upperRange=").append(upperRange);
        sb.append(", indexValue=").append(indexValue);
        sb.append(", stableRate=").append(stableRate);
        sb.append(", stableDiff=").append(stableDiff);
        sb.append(", upperLimitClearZero=").append(upperLimitClearZero);
        sb.append(", lowerLimitClearZero=").append(lowerLimitClearZero);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", selfWeightDiff=").append(selfWeightDiff);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}